List of known vlc bugs $Id: BUGS,v 1.15 2002/07/31 20:56:50 sam Exp $

   Please try to keep this file up to date. Also, grep for FIXME in the
source files for more and more bugs to fix.

   For information on how to post a useful bug report, please read
doc/bugreport-howto.txt.


Core:

  * vlc_cond_broadcast unimplemented on most plaforms.


Input:

  * DVD raw device support doesn't seem to work.

  * Going to title 0 with the dvdold or dvdread plugins segfaults (tested
    with Nausicaa).

Decoders:


Audio output:

  * Audio output stutters on some audio cards. For instance kwyxz's SB
  128 with an es1371 chip.


Video output:

  * The MGA video output plugin makes the picture stutter when
  MGA_NUM_FRAMES is set to a value higher than 1.

  * The SPU decoder doesn't detect when the video output failed to
  launch itself, and we segfault.

  * On-the-fly resizing when using a chroma transformation doesn't work for
  all plugins. Currently it is only implemented for x11 and SDL.

  * --filter clone gives a slanted picture on axe.mpeg
  * --filter transform barfs on rambo.avi


Chroma transformations:

  * Most chroma transformation modules completely ignore margins.

  * Most chroma transformation modules restrict the width of a picture
  to multiples of 8 or even 16. We can achieve better than that.


Filters:

  * Most filters completely ignore margins.


Gtk interface:

  * Playing like a madman with the `Playlist' button makes the interface
  crash.

  * No text in the status bar

  * No window title on some machines, correct window title on another


Misc:

  * The Jin-Roh DVD seems to segfault.


From: David Legg <David.Legg@legg.uklinux.net>
If I change the value of AOUT_FIFO_SIZE from 255 to 511, vlc segmentation
faults.



